Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseBoxPen

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBasePen
          net.sf.jasperreports.engine.base.JRBaseBoxPen

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRBoxPen, JRChangeEventsSupport, JRPen

Direct Known Subclasses:
  JRBaseBoxBottomPen, JRBaseBoxLeftPen, JRBaseBoxRightPen, JRBaseBoxTopPen

    public class JRBaseBoxPen

extends JRBasePen
implements JRBoxPen

Version:
  $Id: JRBaseBoxPen.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRLineBox` | `lineBox`

Fields inherited from class net.sf.jasperreports.engine.base.JRBasePen
`lineColor, lineStyleValue, lineWidth, penContainer, PROPERTY_LINE_COLOR, PROPERTY_LINE_STYLE, PROPERTY_LINE_WIDTH`

Fields inherited from interface net.sf.jasperreports.engine.JRPen
`LINE_STYLE_DASHED, LINE_STYLE_DOTTED, LINE_STYLE_DOUBLE, LINE_STYLE_SOLID, LINE_WIDTH_0, LINE_WIDTH_1`

Constructor Summary
`JRBaseBoxPen(JRLineBox box)`

Method Summary
`JRBoxPen` | `clone(JRLineBox lineBox)`
`JRLineBox` | `getBox()`
`java.awt.Color` | `getLineColor()` Gets the line color.
`LineStyleEnum` | `getLineStyleValue()` Indicates the line style used for this pen.
`java.lang.Float` | `getLineWidth()` Gets the line width used for this pen.
`JRPen` | `getPen(JRLineBox box)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBasePen
`clone, getEventSupport, getLineStyle, getOwnLineColor, getOwnLineStyle, getOwnLineStyleValue, getOwnLineWidth, getStyleContainer, getStyleNameReference, setLineColor, setLineStyle, setLineStyle, setLineStyle, setLineWidth, setLineWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRPen
`clone, getLineStyle, getOwnLineColor, getOwnLineStyle, getOwnLineStyleValue, getOwnLineWidth, getStyleContainer, setLineColor, setLineStyle, setLineStyle, setLineStyle, setLineWidth, setLineWidth`

Field Detail

### lineBox

    protected JRLineBox lineBox

Constructor Detail

### JRBaseBoxPen

    public JRBaseBoxPen(JRLineBox box)

Method Detail

### getBox

    public JRLineBox getBox()

  Specified by:
    `getBox` in interface `JRBoxPen`

### getLineWidth

    public java.lang.Float getLineWidth()

  Description copied from interface: `JRPen`
  Gets the line width used for this pen.

  Specified by:
    `getLineWidth` in interface `JRPen`
  Overrides:
    `getLineWidth` in class `JRBasePen`
  Returns:
    line width

### getLineStyleValue

    public LineStyleEnum getLineStyleValue()

  Description copied from interface: `JRPen`
  Indicates the line style used for this pen.

  Specified by:
    `getLineStyleValue` in interface `JRPen`
  Overrides:
    `getLineStyleValue` in class `JRBasePen`
  Returns:
    a value representing one of the line style constants in `LineStyleEnum`

### getLineColor

    public java.awt.Color getLineColor()

  Description copied from interface: `JRPen`
  Gets the line color.

  Specified by:
    `getLineColor` in interface `JRPen`
  Overrides:
    `getLineColor` in class `JRBasePen`

### getPen

    public JRPen getPen(JRLineBox box)

  Specified by:
    `getPen` in interface `JRBoxPen`

### clone

    public JRBoxPen clone(JRLineBox lineBox)

  Specified by:
    `clone` in interface `JRBoxPen`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com